.gen {
    padding: 15px;
    border-radius: 15px;
    border: 2px solid #4CAF50;

    max-width: 950px;
    margin: auto;
    overflow: hidden;

    background-color: white;
}

.inputNumber {
    width: 50px;
}

#data {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

#data td, #data th {
    border: 1px solid #ddd;
    text-align: center;
}

#data tr:nth-child(even){background-color: #f2f2f2;}

#data tr:hover {background-color: #ddd;}

#data th {
    padding-top: 12px;
    padding-bottom: 12px;
    background-color: #4CAF50;
    color: white;
}

.deleteIcon {
    height: 20px;
    width: 20px;
    display: block;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}

.addRow {
    background-color: #4CAF50;
    border: none;
    border-radius: 15px;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.creerFichier {
    background-color: #008CBA;
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.creerFichier {
    background-color: #008CBA;
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.creerFichier {
    background-color: #008CBA;
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.chargerFichier {
    background-color: #008CBA;
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.content-container {
    overflow-y: auto;
    max-height: 85vh;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 10px;
}